### GET /v1/slas Source: https://rootly-heroku.s3.amazonaws.com/swagger/v1/swagger.json List SLAs ```markdown ### Parameters - **page[number]** (integer, query, optional) - **page[size]** (integer, query, optional) - **filter[search]** (string, query, optional) - **filter[slug]** (string, query, optional) - **filter[name]** (string, query, optional) - **filter[created_at][gt]** (string, query, optional) - **filter[created_at][gte]** (string, query, optional) - **filter[created_at][lt]** (string, query, optional) - **filter[created_at][lte]** (string, query, optional) - **sort** (string, query, optional) ### Responses #### 200 - success **sla_list** - **data** (array (object)) (required) Array items: - **id** (string) (required): Unique ID of the SLA - **type** (string (slas)) (required) ("slas") - **attributes** (object) (required) - **slug** (string): The slug of the SLA - **name** (string) (required): The name of the SLA - **description** (string): A description of the SLA - **position** (integer): Position of the SLA for ordering - **entity_type** (string (follow_up)): The entity type this SLA applies to ("follow_up") - **condition_match_type** (string (ALL|ANY)) (required): Whether all or any conditions must match ("ALL"|"ANY") - **manager_role_id** (string (uuid)): The ID of the manager incident role. Exactly one of `manager_role_id` or `manager_user_id` must be provided. - **manager_user_id** (integer): The ID of the manager user. Exactly one of `manager_role_id` or `manager_user_id` must be provided. - **assignment_deadline_days** (integer) (required): Number of days for the assignment deadline - **assignment_deadline_parent_status** (string) (required): The incident parent status that triggers the assignment deadline - **assignment_deadline_sub_status_id** (string (uuid)): Sub-status for the assignment deadline. Required when custom lifecycle statuses are enabled on the team. - **assignment_skip_weekends** (boolean): Whether to skip weekends when calculating the assignment deadline - **completion_deadline_days** (integer) (required): Number of days for the completion deadline - **completion_deadline_parent_status** (string) (required): The incident parent status that triggers the completion deadline - **completion_deadline_sub_status_id** (string (uuid)): Sub-status for the completion deadline. Required when custom lifecycle statuses are enabled on the team. - **completion_skip_weekends** (boolean): Whether to skip weekends when calculating the completion deadline - **conditions** (array (object)): Conditions that determine which incidents this SLA applies to Array items: - **id** (string (uuid)): Unique ID of the condition - **position** (integer): The position of the condition - **conditionable_type** (string (SLAs::BuiltInFieldCondition|SLAs::CustomFieldCondition)): The type of condition ("SLAs::BuiltInFieldCondition"|"SLAs::CustomFieldCondition") - **property** (string): The property to evaluate (for built-in field conditions) - **operator** (string): The comparison operator - **values** (array (string)): The values to compare against - **form_field_id** (string (uuid)): The ID of the form field (for custom field conditions) - **notification_configurations** (array (object)): Notification timing configurations Array items: - **id** (string (uuid)): Unique ID of the notification configuration - **offset_type** (string (before_due|when_due|after_due)): When to send the notification relative to the deadline ("before_due"|"when_due"|"after_due") - **offset_days** (integer): Number of days offset from the deadline - **created_at** (string): Date of creation - **updated_at** (string): Date of last update - **created_at** (string) (required): Date of creation - **updated_at** (string) (required): Date of last update - **links** (object) (required) - **self** (string) (required) - **first** (string) (required) - **prev** (string) (required) - **next** (string) (required) - **last** (string) (required) - **meta** (object) (required) - **next_cursor** (string) - **current_page** (integer) (required) - **next_page** (integer) (required) - **prev_page** (integer) (required) - **total_count** (integer) (required) - **total_pages** (integer) (required) - **included** (array (jsonapi_included_resource)) Array items: - **id** (string) (required) - **type** (string) (required) - **attributes** (object) - **relationships** (object) ### Example Usage ```bash curl -X GET "https://api.rootly.com/v1/slas?page[number]=0&page[size]=0&filter[search]=string&filter[slug]=string&filter[name]=string&filter[created_at][gt]=string&filter[created_at][gte]=string&filter[created_at][lt]=string&filter[created_at][lte]=string&sort=string" ``` ``` -------------------------------- ### GET /v1/playbooks Source: https://rootly-heroku.s3.amazonaws.com/swagger/v1/swagger.json List playbooks ```markdown ### Parameters - **include** (string (severities|environments|services|functionalities|groups|causes|incident_types), query, optional): comma separated if needed. eg: severities,environments,services - **page[number]** (integer, query, optional) - **page[size]** (integer, query, optional) ### Responses #### 200 - success **playbook_list** - **data** (array (object)) (required) Array items: - **id** (string) (required): Unique ID of the playbook - **type** (string (playbooks)) (required) ("playbooks") - **attributes** (object) (required) - **title** (string) (required): The title of the playbook - **summary** (string): The summary of the playbook - **external_url** (string): The external url of the playbook - **severity_ids** (array (string)): The Severity IDs to attach to the incident - **environment_ids** (array (string)): The Environment IDs to attach to the incident - **functionality_ids** (array (string)): The Functionality IDs to attach to the incident - **service_ids** (array (string)): The Service IDs to attach to the incident - **group_ids** (array (string)): The Team IDs to attach to the incident - **incident_type_ids** (array (string)): The Incident Type IDs to attach to the incident - **created_at** (string) (required): Date of creation - **updated_at** (string) (required): Date of last update - **links** (object) (required) - **self** (string) (required) - **first** (string) (required) - **prev** (string) (required) - **next** (string) (required) - **last** (string) (required) - **meta** (object) (required) - **next_cursor** (string) - **current_page** (integer) (required) - **next_page** (integer) (required) - **prev_page** (integer) (required) - **total_count** (integer) (required) - **total_pages** (integer) (required) - **included** (array (jsonapi_included_resource)) Array items: - **id** (string) (required) - **type** (string) (required) - **attributes** (object) - **relationships** (object) ### Example Usage ```bash curl -X GET "https://api.rootly.com/v1/playbooks?include=severities&page[number]=0&page[size]=0" ``` ``` -------------------------------- ### GET /v1/workflows Source: https://rootly-heroku.s3.amazonaws.com/swagger/v1/swagger.json List workflows ```markdown ### Parameters - **include** (string (form_field_conditions|alert_field_conditions|genius_tasks|genius_workflow_runs), query, optional): comma separated if needed. eg: form_field_conditions,alert_field_conditions - **sort** (string (created_at|-created_at|updated_at|-updated_at|position|-position), query, optional): comma separated if needed. eg: created_at,updated_at - **page[number]** (integer, query, optional) - **page[size]** (integer, query, optional) - **filter[search]** (string, query, optional) - **filter[name]** (string, query, optional) - **filter[slug]** (string, query, optional) - **filter[created_at][gt]** (string, query, optional) - **filter[created_at][gte]** (string, query, optional) - **filter[created_at][lt]** (string, query, optional) - **filter[created_at][lte]** (string, query, optional) ### Responses #### 200 - success **workflow_list** - **data** (array (object)) (required) Array items: - **id** (string) (required): Unique ID of the workflow - **type** (string (workflows)) (required) ("workflows") - **attributes** (object) (required) - **name** (string) (required): The title of the workflow - **slug** (string): The slug of the workflow - **description** (string): The description of the workflow - **command** (string): Workflow command - **command_feedback_enabled** (boolean): This will notify you back when the workflow is starting - **wait** (string): Wait this duration before executing - **repeat_every_duration** (string): Repeat workflow every duration - **repeat_condition_duration_since_first_run** (string): The workflow will stop repeating if its runtime since it's first workflow run exceeds the duration set in this field - **repeat_condition_number_of_repeats** (integer): The workflow will stop repeating if the number of repeats exceeds the value set in this field - **continuously_repeat** (boolean): When continuously repeat is true, repeat workflows aren't automatically stopped when conditions aren't met. This setting won't override your conditions set by repeat_condition_duration_since_first_run and repeat_condition_number_of_repeats parameters. - **repeat_on** (array (string (S|M|T|W|R|F|U))) - **enabled** (boolean) - **locked** (boolean): Restricts workflow edits to admins when turned on. Only admins can set this field. - **position** (integer): The order which the workflow should run with other workflows. - **workflow_group_id** (string): The group this workflow belongs to. - **trigger_params** (object) - **trigger_type** (string (incident)) (required) ("incident") - **triggers** (array (string)) - **incident_visibilities** (array (boolean)) - **incident_kinds** (array (string (test|test_sub|example|example_sub|normal|normal_sub|backfilled|scheduled|scheduled_sub))) - **incident_statuses** (array (string (in_triage|started|detected|acknowledged|mitigated|resolved|closed|cancelled|scheduled|in_progress|completed))) - **incident_inactivity_duration** (string): ex. 10 min, 1h, 3 days, 2 weeks - **incident_condition** (string (ALL|ANY|NONE)) ("ALL"|"ANY"|"NONE") - **incident_condition_visibility** (string (IS|IS NOT|ANY|CONTAINS|CONTAINS_ALL|CONTAINS_NONE|NONE|SET|UNSET)) ("IS"|"IS NOT"|"ANY"|"CONTAINS"|"CONTAINS_ALL"|"CONTAINS_NONE"|"NONE"|"SET"|"UNSET") - **incident_condition_kind** (string (IS|IS NOT|ANY|CONTAINS|CONTAINS_ALL|CONTAINS_NONE|NONE|SET|UNSET)) ("IS"|"IS NOT"|"ANY"|"CONTAINS"|"CONTAINS_ALL"|"CONTAINS_NONE"|"NONE"|"SET"|"UNSET") - **incident_condition_status** (string (IS|IS NOT|ANY|CONTAINS|CONTAINS_ALL|CONTAINS_NONE|NONE|SET|UNSET)) ("IS"|"IS NOT"|"ANY"|"CONTAINS"|"CONTAINS_ALL"|"CONTAINS_NONE"|"NONE"|"SET"|"UNSET") - **incident_condition_sub_status** (string (IS|IS NOT|ANY|CONTAINS|CONTAINS_ALL|CONTAINS_NONE|NONE|SET|UNSET)) ("IS"|"IS NOT"|"ANY"|"CONTAINS"|"CONTAINS_ALL"|"CONTAINS_NONE"|"NONE"|"SET"|"UNSET") - **incident_condition_environment** (string (IS|IS NOT|ANY|CONTAINS|CONTAINS_ALL|CONTAINS_NONE|NONE|SET|UNSET)) ("IS"|"IS NOT"|"ANY"|"CONTAINS"|"CONTAINS_ALL"|"CONTAINS_NONE"|"NONE"|"SET"|"UNSET") - **incident_condition_severity** (string (IS|IS NOT|ANY|CONTAINS|CONTAINS_ALL|CONTAINS_NONE|NONE|SET|UNSET)) ("IS"|"IS NOT"|"ANY"|"CONTAINS"|"CONTAINS_ALL"|"CONTAINS_NONE"|"NONE"|"SET"|"UNSET") - **incident_condition_incident_type** (string (IS|IS NOT|ANY|CONTAINS|CONTAINS_ALL|CONTAINS_NONE|NONE|SET|UNSET)) ("IS"|"IS NOT"|"ANY"|"CONTAINS"|"CONTAINS_ALL"|"CONTAINS_NONE"|"NONE"|"SET"|"UNSET") - **incident_condition_incident_roles** (string (IS|IS NOT|ANY|CONTAINS|CONTAINS_ALL|CONTAINS_NONE|NONE|SET|UNSET)) ("IS"|"IS NOT"|"ANY"|"CONTAINS"|"CONTAINS_ALL"|"CONTAINS_NONE"|"NONE"|"SET"|"UNSET") - **incident_condition_service** (string (IS|IS NOT|ANY|CONTAINS|CONTAINS_ALL|CONTAINS_NONE|NONE|SET|UNSET)) ("IS"|"IS NOT"|"ANY"|"CONTAINS"|"CONTAINS_ALL"|"CONTAINS_NONE"|"NONE"|"SET"|"UNSET") - **incident_condition_functionality** (string (IS|IS NOT|ANY|CONTAINS|CONTAINS_ALL|CONTAINS_NONE|NONE|SET|UNSET)) ("IS"|"IS NOT"|"ANY"|"CONTAINS"|"CONTAINS_ALL"|"CONTAINS_NONE"|"NONE"|"SET"|"UNSET") - **incident_condition_group** (string (IS|IS NOT|ANY|CONTAINS|CONTAINS_ALL|CONTAINS_NONE|NONE|SET|UNSET)) ("IS"|"IS NOT"|"ANY"|"CONTAINS"|"CONTAINS_ALL"|"CONTAINS_NONE"|"NONE"|"SET"|"UNSET") - **incident_condition_cause** (string (IS|IS NOT|ANY|CONTAINS|CONTAINS_ALL|CONTAINS_NONE|NONE|SET|UNSET)) ("IS"|"IS NOT"|"ANY"|"CONTAINS"|"CONTAINS_ALL"|"CONTAINS_NONE"|"NONE"|"SET"|"UNSET") - **incident_post_mortem_condition_cause** (string (IS|IS NOT|ANY|CONTAINS|CONTAINS_ALL|CONTAINS_NONE|NONE|SET|UNSET)): [DEPRECATED] Use incident_condition_cause instead ("IS"|"IS NOT"|"ANY"|"CONTAINS"|"CONTAINS_ALL"|"CONTAINS_NONE"|"NONE"|"SET"|"UNSET") - **incident_condition_summary** (string (SET|UNSET)) ("SET"|"UNSET") - **incident_condition_started_at** (string (SET|UNSET)) ("SET"|"UNSET") - **incident_condition_detected_at** (string (SET|UNSET)) ("SET"|"UNSET") - **incident_condition_acknowledged_at** (string (SET|UNSET)) ("SET"|"UNSET") - **incident_condition_mitigated_at** (string (SET|UNSET)) ("SET"|"UNSET") - **incident_condition_resolved_at** (string (SET|UNSET)) ("SET"|"UNSET") - **incident_conditional_inactivity** (string (IS)) ("IS") - **environment_ids** (array (string)) - **severity_ids** (array (string)) - **incident_type_ids** (array (string)) - **incident_role_ids** (array (string)) - **service_ids** (array (string)) - **functionality_ids** (array (string)) - **group_ids** (array (string)) - **cause_ids** (array (string)) - **sub_status_ids** (array (string)) - **created_at** (string) (required): Date of creation - **updated_at** (string) (required): Date of last update - **links** (object) (required) - **self** (string) (required) - **first** (string) (required) - **prev** (string) (required) - **next** (string) (required) - **last** (string) (required) - **meta** (object) (required) - **next_cursor** (string) - **current_page** (integer) (required) - **next_page** (integer) (required) - **prev_page** (integer) (required) - **total_count** (integer) (required) - **total_pages** (integer) (required) - **included** (array (jsonapi_included_resource)) Array items: - **id** (string) (required) - **type** (string) (required) - **attributes** (object) - **relationships** (object) ### Example Usage ```bash curl -X GET "https://api.rootly.com/v1/workflows?include=form_field_conditions&sort=created_at&page[number]=0&page[size]=0&filter[search]=string&filter[name]=string&filter[slug]=string&filter[created_at][gt]=string&filter[created_at][gte]=string&filter[created_at][lt]=string&filter[created_at][lte]=string" ``` ``` -------------------------------- ### GET /v1/services Source: https://rootly-heroku.s3.amazonaws.com/swagger/v1/swagger.json List services ```markdown ### Parameters - **include** (string, query, optional) - **page[number]** (integer, query, optional) - **page[size]** (integer, query, optional) - **filter[search]** (string, query, optional) - **filter[name]** (string, query, optional) - **filter[slug]** (string, query, optional) - **filter[backstage_id]** (string, query, optional) - **filter[cortex_id]** (string, query, optional) - **filter[opslevel_id]** (string, query, optional) - **filter[external_id]** (string, query, optional) - **filter[alert_broadcast_enabled]** (boolean, query, optional) - **filter[incident_broadcast_enabled]** (boolean, query, optional) - **filter[created_at][gt]** (string, query, optional) - **filter[created_at][gte]** (string, query, optional) - **filter[created_at][lt]** (string, query, optional) - **filter[created_at][lte]** (string, query, optional) - **sort** (string, query, optional) ### Responses #### 200 - success **service_list** - **data** (array (object)) (required) Array items: - **id** (string) (required): Unique ID of the service - **type** (string (services)) (required) ("services") - **attributes** (object) (required) - **name** (string) (required): The name of the service - **slug** (string): The slug of the service - **description** (string): The description of the service - **public_description** (string): The public description of the service - **notify_emails** (array (string)): Emails attached to the service - **color** (string): The hex color of the service - **position** (integer): Position of the service - **backstage_id** (string): The Backstage entity id associated to this service. eg: :namespace/:kind/:entity_name - **external_id** (string): The external id associated to this service - **pagerduty_id** (string): The PagerDuty service id associated to this service - **opsgenie_id** (string): The Opsgenie service id associated to this service - **cortex_id** (string): The Cortex group id associated to this service - **service_now_ci_sys_id** (string): The Service Now CI sys id associated to this service - **github_repository_name** (string): The GitHub repository name associated to this service. eg: rootlyhq/my-service - **github_repository_branch** (string): The GitHub repository branch associated to this service. eg: main - **gitlab_repository_name** (string): The GitLab repository name associated to this service. eg: rootlyhq/my-service - **gitlab_repository_branch** (string): The GitLab repository branch associated to this service. eg: main - **kubernetes_deployment_name** (string): The Kubernetes deployment name associated to this service. eg: namespace/deployment-name - **environment_ids** (array (string)): Environments associated with this service - **service_ids** (array (string)): Services dependent on this service - **owner_group_ids** (array (string)): Owner Teams associated with this service - **owner_user_ids** (array (integer)): Owner Users associated with this service - **alert_urgency_id** (string): The alert urgency id of the service - **escalation_policy_id** (string): The escalation policy id of the service - **alerts_email_enabled** (boolean): Enable alerts through email - **alerts_email_address** (string): Email generated to send alerts to - **slack_channels** (array (object)): Slack Channels associated with this service Array items: - **id** (string) (required): Slack channel ID - **name** (string) (required): Slack channel name - **slack_aliases** (array (object)): Slack Aliases associated with this service Array items: - **alert_broadcast_enabled** (boolean): Enable alerts to be broadcasted to a specific channel - **alert_broadcast_channel** (object): Slack channel to broadcast alerts to - **incident_broadcast_enabled** (boolean): Enable incidents to be broadcasted to a specific channel - **incident_broadcast_channel** (object): Slack channel to broadcast incidents to - **properties** (array (object)): Array of property values for this service. Array items: - **catalog_property_id** (string) (required): Catalog property ID - **value** (string) (required): The property value - **created_at** (string) (required): Date of creation - **updated_at** (string) (required): Date of last update - **links** (object) (required) - **self** (string) (required) - **first** (string) (required) - **prev** (string) (required) - **next** (string) (required) - **last** (string) (required) - **meta** (object) (required) - **next_cursor** (string) - **current_page** (integer) (required) - **next_page** (integer) (required) - **prev_page** (integer) (required) - **total_count** (integer) (required) - **total_pages** (integer) (required) - **included** (array (jsonapi_included_resource)) Array items: - **id** (string) (required) - **type** (string) (required) - **attributes** (object) - **relationships** (object) ### Example Usage ```bash curl -X GET "https://api.rootly.com/v1/services?include=string&page[number]=0&page[size]=0&filter[search]=string&filter[name]=string&filter[slug]=string&filter[backstage_id]=string&filter[cortex_id]=string&filter[opslevel_id]=string&filter[external_id]=string&filter[alert_broadcast_enabled]=true&filter[incident_broadcast_enabled]=true&filter[created_at][gt]=string&filter[created_at][gte]=string&filter[created_at][lt]=string&filter[created_at][lte]=string&sort=string" ``` ``` -------------------------------- ### GET /v1/functionalities Source: https://rootly-heroku.s3.amazonaws.com/swagger/v1/swagger.json List functionalities ```markdown ### Parameters - **include** (string, query, optional) - **page[number]** (integer, query, optional) - **page[size]** (integer, query, optional) - **filter[search]** (string, query, optional) - **filter[name]** (string, query, optional) - **filter[backstage_id]** (string, query, optional) - **filter[cortex_id]** (string, query, optional) - **filter[opslevel_id]** (string, query, optional) - **filter[external_id]** (string, query, optional) - **filter[slug]** (string, query, optional) - **filter[created_at][gt]** (string, query, optional) - **filter[created_at][gte]** (string, query, optional) - **filter[created_at][lt]** (string, query, optional) - **filter[created_at][lte]** (string, query, optional) - **sort** (string, query, optional) ### Responses #### 200 - success **functionality_list** - **data** (array (object)) (required) Array items: - **id** (string) (required): Unique ID of the functionality - **type** (string (functionalities)) (required) ("functionalities") - **attributes** (object) (required) - **name** (string) (required): The name of the functionality - **slug** (string): The slug of the functionality - **description** (string): The description of the functionality - **public_description** (string): The public description of the functionality - **notify_emails** (array (string)): Emails attached to the functionality - **color** (string): The hex color of the functionality - **backstage_id** (string): The Backstage entity id associated to this functionality. eg: :namespace/:kind/:entity_name - **external_id** (string): The external id associated to this functionality - **pagerduty_id** (string): The PagerDuty service id associated to this functionality - **opsgenie_id** (string): The Opsgenie service id associated to this functionality - **opsgenie_team_id** (string): The Opsgenie team id associated to this functionality - **cortex_id** (string): The Cortex group id associated to this functionality - **service_now_ci_sys_id** (string): The Service Now CI sys id associated to this functionality - **position** (integer): Position of the functionality - **environment_ids** (array (string)): Environments associated with this functionality - **service_ids** (array (string)): Services associated with this functionality - **owner_group_ids** (array (string)): Owner Teams associated with this functionality - **owner_user_ids** (array (integer)): Owner Users associated with this functionality - **escalation_policy_id** (string): The escalation policy id of the functionality - **slack_channels** (array (object)): Slack Channels associated with this functionality Array items: - **id** (string) (required): Slack channel ID - **name** (string) (required): Slack channel name - **slack_aliases** (array (object)): Slack Aliases associated with this functionality Array items: - **properties** (array (object)): Array of property values for this functionality. Array items: - **catalog_property_id** (string) (required): Catalog property ID - **value** (string) (required): The property value - **created_at** (string) (required): Date of creation - **updated_at** (string) (required): Date of last update - **links** (object) (required) - **self** (string) (required) - **first** (string) (required) - **prev** (string) (required) - **next** (string) (required) - **last** (string) (required) - **meta** (object) (required) - **next_cursor** (string) - **current_page** (integer) (required) - **next_page** (integer) (required) - **prev_page** (integer) (required) - **total_count** (integer) (required) - **total_pages** (integer) (required) - **included** (array (jsonapi_included_resource)) Array items: - **id** (string) (required) - **type** (string) (required) - **attributes** (object) - **relationships** (object) ### Example Usage ```bash curl -X GET "https://api.rootly.com/v1/functionalities?include=string&page[number]=0&page[size]=0&filter[search]=string&filter[name]=string&filter[backstage_id]=string&filter[cortex_id]=string&filter[opslevel_id]=string&filter[external_id]=string&filter[slug]=string&filter[created_at][gt]=string&filter[created_at][gte]=string&filter[created_at][lt]=string&filter[created_at][lte]=string&sort=string" ``` ``` -------------------------------- ### GET /v1/alert_routes/{id} Source: https://rootly-heroku.s3.amazonaws.com/swagger/v1/swagger.json Get a specific alert route by id. **Note: This endpoint requires access to Advanced Alert Routing. If you're unsure whether you have access to this feature, please contact Rootly customer support.** ## Optional Parameters - **show_nested_ids** (query parameter): When set to `true`, the response will include IDs for all nested resources (destinations, condition_groups, conditions). This is useful when you need to reference these nested resources for updates or deletions via PATCH requests. Example: `GET /v1/alert_routes/{id}?show_nested_ids=true` ```markdown ### Responses #### 200 - alert route found **alert_route_response** - **data** (object) (required) - **id** (string) (required): Unique ID of the alert route - **type** (string (alert_routes)) (required) ("alert_routes") - **attributes** (object) (required) - **name** (string) (required): The name of the alert route - **enabled** (boolean): Whether the alert route is enabled - **alerts_source_ids** (array (string (uuid))) (required) - **owning_team_ids** (array (string (uuid))) - **rules** (array (object)) Array items: - **name** (string) (required): The name of the alert routing rule - **position** (integer): The position of the alert routing rule for ordering evaluation - **fallback_rule** (boolean): Whether this is a fallback rule - **destinations** (array (object)) (required) Array items: - **target_type** (string (Service|Group|Functionality|EscalationPolicy)) (required): The type of the target. Please contact support if you encounter issues using `Functionality` as a target type. ("Service"|"Group"|"Functionality"|"EscalationPolicy") - **target_id** (string (uuid)) (required): The ID of the target - **condition_groups** (array (object)) (required) Array items: - **position** (integer): The position of the condition group - **conditions** (array (object)) (required) Array items: - **property_field_condition_type** (string (is_one_of|is_not_one_of|contains|does_not_contain|starts_with|ends_with|matches_regex|is_empty)) (required) ("is_one_of"|"is_not_one_of"|"contains"|"does_not_contain"|"starts_with"|"ends_with"|"matches_regex"|"is_empty") - **property_field_name** (string): The name of the property field - **property_field_type** (string (attribute|payload|alert_field)) (required) ("attribute"|"payload"|"alert_field") - **property_field_value** (string): The value of the property field - **property_field_values** (array (string)) - **alert_urgency_ids** (array (string)): The Alert Urgency IDs to check in the condition - **conditionable_type** (string (AlertField)): The type of the conditionable ("AlertField") - **conditionable_id** (string (uuid)): The ID of the conditionable #### 401 - unauthorized **errors_list** - **errors** (array (object)) Array items: - **title** (string) (required) - **status** (string) (required) - **code** (string) - **detail** (string) #### 404 - cross-team access denied **errors_list** - **errors** (array (object)) Array items: - **title** (string) (required) - **status** (string) (required) - **code** (string) - **detail** (string) ### Example Usage ```bash curl -X GET "https://api.rootly.com/v1/alert_routes/{id}" ``` ``` -------------------------------- ### GET /v1/retrospective_configurations Source: https://rootly-heroku.s3.amazonaws.com/swagger/v1/swagger.json List retrospective configurations ```markdown ### Parameters - **include** (string (severities|groups|incident_types), query, optional): comma separated if needed. eg: severities,groups - **page[number]** (integer, query, optional) - **page[size]** (integer, query, optional) - **filter[kind]** (string, query, optional) ### Responses #### 200 - success **retrospective_configuration_list** - **data** (array (object)) (required) Array items: - **id** (string) (required): Unique ID of the configuration - **type** (string (retrospective_configurations)) (required) ("retrospective_configurations") - **attributes** (object) (required) - **kind** (string (skip|mandatory)): The kind of the configuration. ("skip"|"mandatory") - **severity_ids** (array (string)): The Severity IDs to attach to the retrospective configuration - **group_ids** (array (string)): The Team IDs to attach to the retrospective configuration - **incident_type_ids** (array (string)): The Incident Type IDs to attach to the retrospective configuration - **created_at** (string): Date of creation - **updated_at** (string): Date of last update - **included** (array (jsonapi_included_resource)) Array items: - **id** (string) (required) - **type** (string) (required) - **attributes** (object) - **relationships** (object) ### Example Usage ```bash curl -X GET "https://api.rootly.com/v1/retrospective_configurations?include=severities&page[number]=0&page[size]=0&filter[kind]=string" ``` ``` -------------------------------- ### GET /v1/environments Source: https://rootly-heroku.s3.amazonaws.com/swagger/v1/swagger.json List environments ```markdown ### Parameters - **include** (string, query, optional) - **page[number]** (integer, query, optional) - **page[size]** (integer, query, optional) - **filter[search]** (string, query, optional) - **filter[slug]** (string, query, optional) - **filter[name]** (string, query, optional) - **filter[color]** (string, query, optional) - **filter[created_at][gt]** (string, query, optional) - **filter[created_at][gte]** (string, query, optional) - **filter[created_at][lt]** (string, query, optional) - **filter[created_at][lte]** (string, query, optional) - **sort** (string, query, optional) ### Responses #### 200 - success **environment_list** - **data** (array (object)) (required) Array items: - **id** (string) (required): Unique ID of the environment - **type** (string (environments)) (required) ("environments") - **attributes** (object) (required) - **name** (string) (required): The name of the environment - **slug** (string): The slug of the environment - **description** (string): The description of the environment - **notify_emails** (array (string)): Emails attached to the environment - **color** (string): The hex color of the environment - **position** (integer): Position of the environment - **slack_channels** (array (object)): Slack Channels associated with this environment Array items: - **id** (string) (required): Slack channel ID - **name** (string) (required): Slack channel name - **slack_aliases** (array (object)): Slack Aliases associated with this environment Array items: - **properties** (array (object)): Array of property values for this environment. Array items: - **catalog_property_id** (string) (required): Catalog property ID - **value** (string) (required): The property value - **created_at** (string) (required): Date of creation - **updated_at** (string) (required): Date of last update - **links** (object) (required) - **self** (string) (required) - **first** (string) (required) - **prev** (string) (required) - **next** (string) (required) - **last** (string) (required) - **meta** (object) (required) - **next_cursor** (string) - **current_page** (integer) (required) - **next_page** (integer) (required) - **prev_page** (integer) (required) - **total_count** (integer) (required) - **total_pages** (integer) (required) - **included** (array (jsonapi_included_resource)) Array items: - **id** (string) (required) - **type** (string) (required) - **attributes** (object) - **relationships** (object) ### Example Usage ```bash curl -X GET "https://api.rootly.com/v1/environments?include=string&page[number]=0&page[size]=0&filter[search]=string&filter[slug]=string&filter[name]=string&filter[color]=string&filter[created_at][gt]=string&filter[created_at][gte]=string&filter[created_at][lt]=string&filter[created_at][lte]=string&sort=string" ``` ``` -------------------------------- ### GET /v1/users/me Source: https://rootly-heroku.s3.amazonaws.com/swagger/v1/swagger.json Get current user ```markdown ### Responses #### 200 - user found **user_response** - **data** (object) (required) - **id** (string) (required): Unique ID of the user - **type** (string (users)) (required) ("users") - **attributes** (object) (required) - **email** (string) (required): The email of the user - **first_name** (string): First name of the user - **last_name** (string): Last name of the user - **full_name** (string): The full name of the user - **full_name_with_team** (string): The full name with team of the user - **time_zone** (string): Configured time zone - **created_at** (string) (required): Date of creation - **updated_at** (string) (required): Date of last update - **relationships** (object) - **role** (object) - **data** (object) - **id** (string) - **type** (string (roles)) ("roles") - **on_call_role** (object) - **included** (array (jsonapi_included_resource)) Array items: #### 401 - responds with unauthorized for invalid token **errors_list** - **errors** (array (object)) Array items: - **title** (string) (required) - **status** (string) (required) - **code** (string) - **detail** (string) ### Example Usage ```bash curl -X GET "https://api.rootly.com/v1/users/me" ``` ``` -------------------------------- ### GET /v1/edge_connectors Source: https://rootly-heroku.s3.amazonaws.com/swagger/v1/swagger.json API endpoint for GET /v1/edge_connectors ```markdown ### Parameters - **page** (integer, query, optional) - **per_page** (integer, query, optional) - **status** (string, query, optional): Filter by status (active/paused) - **name** (string, query, optional): Filter by name (partial match) ### Responses #### 200 - Filters by status Empty response body ### Example Usage ```bash curl -X GET "https://api.rootly.com/v1/edge_connectors?page=0&per_page=0&status=string&name=string" ``` ```